Summary: TI PSP/NSP DSL firmware
Name: TI_Linux-target-TI-dsl-firmware
Version: 0.1
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Copyright: GPL
Source0: TI_dsl_firmware_%{version}.orig.tar.gz
Group: Filesystem

%define pkgname ti_linux-%{_hhl_target_arch}-TI_dsl_firmware
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
TI PSP/NSP DSL firmware components

%package -n %{pkgname}
Summary: TI PSP/NSP DSL firmware
Group: Filesystem
AutoReqProv: no
%description -n %{pkgname}
TI DSL firmware components

%prep
%target_check
%setup -q -n TI_dsl_firmware_%{version}

%build
BOARD=`cat %{TI_base}/.board`

%install
BOARD=`cat %{TI_base}/.board`
NSP32="FALSE"
if [ "$BOARD" = "AR7DB" ]; then
NSP32="TRUE"
fi
if [ "$BOARD" = "AR7RD" ]; then
NSP32="TRUE"
fi
if [ "$BOARD" = "AR7WRD" ]; then
NSP32="TRUE"
fi
install -m 0755 -d %{TI_filesystem_path}/lib
install -m 0755 -d %{TI_filesystem_path}/lib/modules
if [ "$NSP32" = "TRUE" ]; then
	install -m 0644 ./sangam/ar0700mp.bin     	%{TI_base}/.
	install -m 0644 ./sangam/ar0700db.bin     	%{TI_base}/.
else
	install -m 0644 ./avalanche/ar0500db.bin    %{TI_base}/.
	install -m 0644 ./avalanche/ar0500dc.bin    %{TI_base}/.
	install -m 0644 ./avalanche/ar0500mp.bin    %{TI_base}/.
	install -m 0644 ./avalanche/ar0500mp_s1_2.bin	%{TI_base}/.
	install -m 0644 ./avalanche/pdsp_d.bin		%{TI_base}%{TI_rlibdir}/modules/.
	install -m 0644 ./avalanche/pdsp_i.bin      %{TI_base}%{TI_rlibdir}/modules/.
fi

%clean
rm -rf *

%files 
%defattr(-,root,root)
%if [ "$NSP32" = "TRUE" ]; then
	/ar0700mp.bin
	/ar0700db.bin
%else
	/ar0500db.bin
	/ar0500dc.bin
	/ar0500mp.bin
	/ar0500mp_s1_2.bin
	%{TI_rlibdir}/modules/pdsp_d.bin
	%{TI_rlibdir}/modules/pdsp_i.bin
%fi

%changelog
* Mon Mar 15 2004 (Jyothi Pandit <jyothi@telogy.com>)
- Added ADSL2.
* Sat Sep 27 2003 (Jyothi Pandit <jyothi@telogy.com>)
- Added AR7WRD board.
* Thu Jul 10 2003 (Mike Hassler <mhassler@ti.com>)
- added annex B firmware for AR7
* Wed Jun 18 2003 (Mike Hassler <mhassler@ti.com>)
- AR7 new firmware & NSP32 logic
* Mon Mar 03 2003 (Mike Hassler <mhassler@ti.com>)
- replaced ar0500mp.bin (Dallas wants to use 6.01 firmware, not 6.02 for Annex A)
* Thu Feb 13 2003 (Mike Hassler <mhassler@ti.com>)
- added S=1/2, updated ar0500db.bin & pdsp_d.bin
* Mon Jan 27 2003 (Mike Hassler <mhassler@ti.com>)
- Initial packaging of TI DSL firmware




