Summary: IP packet filter administration for 2.4.X kernels
Name: TI_Linux-target-iptables
Version: 1.2.6a
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Source: iptables_%{version}.orig.tar.gz

%define TI_patch_date 06_12_03

Patch: iptables_%{version}-%{TI_patch_date}.diff.gz
License: GPL
Group: net

%define pkgname ti_linux-%{_hhl_target_arch}-iptables
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
Iptables is used to set up, maintain, and inspect the
tables of IP packet filter rules in the Linux kernel.
The iptables tool also supports configuration of dynamic and static
network address translation.

%package -n %{pkgname}
Summary: IP packet filter administration for 2.4.X kernels
Group: net 
AutoReqProv: no
%description -n %{pkgname}
Iptables is used to set up, maintain, and inspect the
tables of IP packet filter rules in the Linux kernel.
The iptables tool also supports configuration of dynamic and static
network address translation.

%package -n %{pkgname}-dev
Summary: development files for iptable's libipq and libiptc
Group: dev
AutoReqProv: no
%description -n %{pkgname}-dev
Header files, static libs and documentation for libipq (iptables
userspace packet queuing library) and libiptc.

%prep
%target_check
%setup -q -n iptables-%{version}
%patch -p1

%build
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
%make TI_FILESYSTEM=%{TI_filesystem_path} TI_KERNEL_VERSION=%{TI_kernel_version}
strip -s iptables

%install
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
%make install TI_FILESYSTEM=%{TI_filesystem_path} TI_KERNEL_VERSION=%{TI_kernel_version}

%clean
rm -rf *

%files 
%defattr(-,root,root)
%{TI_rsbindir}/iptables

%changelog
* Sat Mar 1 2003 Marian Stagarescu <marian@ti.com>
- Added port scan detection support
* Tue Aug 13 2002 Marian Stagarescu <m-stagarescu2@ti.com>
- Added conntrack support  
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Mar 12 2001 Matthew McLean <source@mvista.com>
- First cut




