Summary: ATM libraries
Name: TI_Linux-target-libatm
%define lib_current 1
%define lib_age 0
%define lib_revision 0
Version: 2.4.0
Vendor: Texas Instruments
Release: TI%{TI_release_version}
%define TI_patch_date 07_15_02
%define TI_patch_date1 05_01_03
%define TI_patch_date2 05_26_03
%define TI_patch_date3 06_12_03
Source0: linux-atm_%{version}.orig.tar.gz
Patch0: linux-atm_%{version}-%{TI_patch_date}.diff.gz
Patch1: linux-atm_%{version}-%{TI_patch_date1}.diff.gz
Patch2: linux-atm_%{version}-%{TI_patch_date2}.diff.gz
Patch3: linux-atm_%{version}-%{TI_patch_date3}.diff.gz

License: GPL
Group: Networking

%define pkgname ti_linux-%{_hhl_target_arch}-linux-atm
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
This package contains the Linux ATM libraries.

%package -n %{pkgname}
Summary: Linux ATM libraries
Group: Networking 
AutoReqProv: no
%description -n %{pkgname}
This package contains the Linux ATM Libraries.

%prep
%target_check
%setup -q -n linux-atm-%{version}
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
%patch -p1 -P 3


%build
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
%define TI_temp_lib_atm_install %{TI_build_home}/rpm/BUILD/linux-atm-%{version}/__install --build=i386-linux --host=mipsel-linux
CFLAGS="-Os -Wall" ./configure --prefix=%{TI_temp_lib_atm_install} 
%make -i

%install
%{_hhl_target_arch}-strip -s ./src/arpd/.libs/atmarp
%{_hhl_target_arch}-strip -s ./src/arpd/.libs/atmarpd
%{_hhl_target_arch}-strip -s ./src/lib/.libs/libatm.so.%{lib_current}.%{lib_age}.%{lib_revision}

# Copy libs to uclibc for br2684ctl to link against...
install -c -m 755 ./src/lib/.libs/libatm.so.%{lib_current}.%{lib_age}.%{lib_revision} %{TI_uclibc_library}
ln -sf libatm.so.%{lib_current}.%{lib_age}.%{lib_revision} %{TI_uclibc_library}/libatm.so.%{lib_current}
ln -sf libatm.so.%{lib_current}.%{lib_age}.%{lib_revision} %{TI_uclibc_library}/libatm.so
#install -m 0755 ./src/lib/.libs/libatm.a %{TI_uclibc_library}
install -m 0755 ./src/include/atm.h %{TI_uclibc_include}

install -m 0755 -d %{TI_filesystem_path}/lib
install -m 0755 -d %{TI_filesystem_path}/usr
install -m 0755 -d %{TI_filesystem_path}/usr/sbin
install -m 0755 ./src/arpd/.libs/atmarp %{TI_filesystem_path}/usr/sbin/.
install -m 0755 ./src/arpd/.libs/atmarpd %{TI_filesystem_path}/usr/sbin/.
install -c -m 755 ./src/lib/.libs/libatm.so.%{lib_current}.%{lib_age}.%{lib_revision} %{TI_filesystem_path}/lib/libatm.so.%{lib_current}.%{lib_age}.%{lib_revision}
ln -sf libatm.so.%{lib_current}.%{lib_age}.%{lib_revision} %{TI_filesystem_path}/lib/libatm.so.%{lib_current}
ln -sf libatm.so.%{lib_current}.%{lib_age}.%{lib_revision} %{TI_filesystem_path}/lib/libatm.so

%clean
rm -rf *


%files 


%changelog
* Thu Jun 12 2003 (Mike Hassler <mhassler@ti.com>)
- added capability to generate InATMARP
* Fri May 16 2003 (Mike Hassler <mhassler@ti.com>)
- reordered build sequence to get the atmarp stuff we want for CLIP
* Thu May 01 2003 (Qui Le <qle@telogy.com>)
- Added "vbr" QoS type
* Mon Oct 07 2002 (Jeff Harrell <jharrell@ti.com>)
- Created ATM libraries spec file






