Summary: uClibc C library development libraries environemt
Name: TI_Linux-target-uclibc
Version: 0.9.19
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Source: uClibc-%{version}.tar.gz

%define TI_patch_date 06_29_02
%define cross_tools %{_hhl_target_arch}-

License: GPL
Group: net

%define pkgname ti_linux-%{_hhl_target_arch}-uClibc-%{version}
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%define _bindir		/filesystem/usr/bin
%define _sbindir	/filesystem/usr/sbin
%define _etcdir		/filesystem/etc
%define _datadir	/filesystem/share
%define _libdir		/filesystem/usr/lib
%define _mandir		/filesystem/share/man
%define _infodir	/filesystem/share/info
%define _includedir	/filesystem/usr/include
%define _docdir		/filesystem/share/doc
%define _rsbindir	/filesystem/sbin
%define _rlibdir	/filesystem/lib

%description
uClibc C library and cross-compile environment

%package -n %{pkgname}
Summary: uClibc 
Group: net 
AutoReqProv: no
%description -n %{pkgname}
uClibc C library and cross-compile environment

%package -n %{pkgname}-dev
Summary: uClibc development libraries and environment
Group: dev
AutoReqProv: no
%description -n %{pkgname}-dev
uClibc library and cross-compile environment

%prep
%target_check
%setup -q -n uClibc-%{version}

%build
%target_setup
%make -C ./extra/config
export PATH=%{TI_uclibc_path}:$PATH
%make BUILD_HOME=%{TI_build_home} HAVE_DOT_CONFIG=y  TI_LINUX_HOME=%{TI_linux_home} \
         TI_KERNEL_VERSION=%{TI_kernel_version} CROSS=%{cross_tools}


%install
%target_setup
%make install BUILD_HOME=%{TI_build_home} TI_LINUX_HOME=%{TI_linux_home} \
         TI_KERNEL_VERSION=%{TI_kernel_version} CROSS=%{cross_tools}
%make install_target BUILD_HOME=%{TI_build_home} TI_LINUX_HOME=%{TI_linux_home} \
         TI_KERNEL_VERSION=%{TI_kernel_version} CROSS=%{cross_tools}


%clean
rm -rf *

%files 
%attr(777,-,-) %{TI_rlibdir}/ld-uClibc.so.0
%attr(777,-,-) %{TI_rlibdir}/libcrypt.so.0
%attr(777,-,-) %{TI_rlibdir}/libc.so.0
%attr(777,-,-) %{TI_rlibdir}/libdl.so.0
%attr(777,-,-) %{TI_rlibdir}/libresolv.so.0
%attr(777,-,-) %{TI_rlibdir}/libutil.so.0
%attr(755,-,-) %{TI_rlibdir}/ld-uClibc-%{version}.so
%attr(644,-,-) %{TI_rlibdir}/libcrypt-%{version}.so
%attr(644,-,-) %{TI_rlibdir}/libdl-%{version}.so
%attr(644,-,-) %{TI_rlibdir}/libresolv-%{version}.so
%attr(644,-,-) %{TI_rlibdir}/libuClibc-%{version}.so
%attr(644,-,-) %{TI_rlibdir}/libutil-%{version}.so


%changelog
* Thu Feb 06 2003 Jeff Harrell <jharrell@ti.com>
- Upgraded to version 0.9.17 of uClibC (fixes threads problems)
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Mar 12 2001 Matthew McLean <source@mvista.com>
- First cut




